Вопросы с тегом 'android-gradle-plugin'

Android Gradle Plugin - это стандартная система сборки Android. Он используется в качестве вспомогательной системы сборки в Android Studio.
44

Автоматически принимать все лицензии SDK

Начиная с Gradle Android плагины 2.2-альфа4: Gradle попытается загрузить отсутствующие пакеты SDK, от которых зависит проект Это удивительно круто и известно, что это проект JakeWharton. Но, чтобы загрузить библиотеку SDK, вам необходимо: принят...
29 июн. '16 в 9:56
21

Ошибка: (1, 0) Плагин с id 'com.android.application' не найден

Это моя первая попытка в Android Studio. Я установил 0.8.0 и обновился до 0.8.2. Как только проект будет создан, я получаю сообщение об ошибке: Ошибка: (1, 0) Плагин с id 'com.android.application' не найден C:\Users\Bob\AndroidStudioProjects\Hell...
17 июл. '14 в 4:48
4

Invoke-Customs поддерживаются только с android 0 - min-api 26

до того, как я использую build version gradle 26, но после изменения buildtoolsversion на 27, как это изображение error: error build gradle screenshot
18 апр. '18 в 5:22
16

Android Studio Gradle Уже размещенный модуль

Я установил Android Studio версии 1.0.1. Я импортировал свои проекты из затмения, и он работает нормально. Затем я удалил модуль и снова импортировал его в свой проект Android Studio. В сборке gradle написано "BUILD SUCCESSFUL", но появляется всплыва...
18 дек. '14 в 8:10
15

Ошибка: конфликт с зависимостью "com.google.code.findbugs: jsr305"

Я создал новый проект в Android Studio 2.2 Preview 1 с Android App и модулем Backend с Google Messaging. Это файл приложения: apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.3" defaultConfi...
20 мая '16 в 12:55
27

ПРЕДУПРЕЖДЕНИЕ: API 'variant.getJavaCompile()' устарел и был заменен на 'variant.getJavaCompileProvider()'

Внезапно при синхронизации Gradle я получаю эту ошибку: ВНИМАНИЕ: API 'option.getJavaCompile()' устарел и был заменен на "variable.getJavaCompileProvider()".     Он будет удален в конце 2019 года.     Для получения дополнительной информации см. ht...
23 сент. '18 в 20:36
34

Не удалось слияние приложений Android и appcompat Manifest

У меня следующий сорт dependencies { implementation fileTree(dir: 'libs', include: ['*.jar']) implementation 'com.android.support:appcompat-v7:28.0.0-rc01' implementation 'com.android.support.constraint:constraint-layout:1.1.2' testI...
10 авг. '18 в 19:58
38

Android-Ошибка: выполнение не выполнено для задачи ': app: transformClassesWithDexForRelease'

Проблема в том, что я могу запускать свое приложение, когда меняю режим debug, но он не работает, когда я переключаюсь в режим release. Исключение: НЕИСПРАВНОСТЬ: Сбой сборки с исключением. Выполнение не выполнено для задачи ': app: transformC...
09 мар. '16 в 11:25
36

Ошибка: выполнение выполнено для задачи ': app: clean'. Не удалось удалить файл

Я пытаюсь перестроить свой проект Android Studio Gradle (содержащий в основном код Kotlin), но он начал выдавать UnableToDeleteFileException во время процесса очистки/восстановления: Execution failed for task ':app:clean'. > Unable to delete file...
02 окт. '15 в 19:30
35

Android studio 3.0: невозможно разрешить зависимость для: app @dexOptions/compileClasspath ': не удалось разрешить проект: аниматоры

Я перехожу на Android 3.0. Таким образом, проект становится неспособным скомпилировать модуль с именем ": animator" и отображает мне эту ошибку: Error:Unable to resolve dependency for ':[email protected]/compileClasspath': Could not resolve project ...
26 окт. '17 в 8:44
52

Ошибка: com.android.tools.aapt2.Aapt2Exception: ошибка AAPT2: проверить журналы для получения более подробной информации

Это вывод моей консоли Gradle, я не могу создать свой проект D:\Android Projects\....\app\src\main\res\layout\topic_view_header.xml Error:error: resource attr/?? (aka -packagename- :attr/??) not found. Error:error: resource attr/?? (aka -packagenam...
28 окт. '17 в 9:16
14

Количество ссылок на методы в файле .dex не может превышать 64k API 17

Я создаю приложение с помощью библиотеки SugarORM, но когда я пытаюсь построить проект для API 17 (не проверял другие), он показывает ошибку сборки. Information:Gradle tasks [:app:assembleDebug] :app:preBuild UP-TO-DATE :app:preDebugBuild UP-TO-...
22 апр. '16 в 4:46
19

error: ресурс android: attr/fontVariationНастройки не найдены

Предупреждение: свойство android.dexOptions.incremental устарело и не влияет на процесс сборки. /home/midhilaj/.gradle/caches/transforms-1/files-1.1/appcompat-v7-26.1.0.aar/be3106efb0df111fe5a3f7b356dd070b/res/values/values.xml Ошибка: (246, 5) err...
10 мар. '18 в 11:55
15

Android-зависимость имеет разную версию для компиляции и времени выполнения

После обновления Android Studio от Канарейки 3 до Канарейки 4 следующая ошибка возникает во время сборки. Android-зависимость "com.android.support:support-support-v4" имеет другую версию для пути к компиляции (25.2.0) и runtime (26.0.0-beta2). ...
20 июн. '17 в 12:36
24

Ошибка при запуске андроида: Gradle не удалось выполнить синхронизацию проекта. Исправьте свой проект и повторите попытку.

Android Studio (1.2 RC0) продолжает рассказывать мне Error running android: Gradle project sync failed. Please fix your project and try again. Как я могу узнать, в чем проблема? К сожалению, решения этого потока SO не помогли.
22 апр. '15 в 20:31